Panes

Functions
Panes

## Functions
EOAPI void | elm_obj_panes_content_left_size_set (double size)
| Set the size proportion of panes widget's left side. More...
EOAPI double | elm_obj_panes_content_left_size_get (void)
| Set the size proportion of panes widget's left side. More...
EOAPI void | elm_obj_panes_horizontal_set (Eina_Bool horizontal)
| Set how to split and dispose each content. More...
EOAPI Eina_Bool | elm_obj_panes_horizontal_get (void)
| Set how to split and dispose each content. More...
EOAPI void | elm_obj_panes_fixed_set (Eina_Bool fixed)
| Set whether the left and right panes can be resized by user interaction. More...
EOAPI Eina_Bool | elm_obj_panes_fixed_get (void)
| Set whether the left and right panes can be resized by user interaction. More...
EOAPI void | elm_obj_panes_content_right_size_set (double size)
| Set the size proportion of panes widget's right side. More...
EOAPI double | elm_obj_panes_content_right_size_get (void)
| Set the size proportion of panes widget's right side. More...
EOAPI void | elm_obj_panes_content_left_min_relative_size_set (double size)
| Controls the relative minimum size of panes widget's left side. More...
EOAPI double | elm_obj_panes_content_left_min_relative_size_get (void)
| Controls the relative minimum size of panes widget's left side. More...
EOAPI void | elm_obj_panes_content_right_min_relative_size_set (double size)
| Set the relative minimum size of panes widget's right side. More...
EOAPI double | elm_obj_panes_content_right_min_relative_size_get (void)
| Set the relative minimum size of panes widget's right side. More...
EOAPI void | elm_obj_panes_content_left_min_size_set (Evas_Coord size)
| Set the absolute minimum size of panes widget's left side. More...
EOAPI Evas_Coord | elm_obj_panes_content_left_min_size_get (void)
| Set the absolute minimum size of panes widget's left side. More...
EOAPI void | elm_obj_panes_content_right_min_size_set (Evas_Coord size)
| Control the absolute minimum size of panes widget's right side. More...
EOAPI Evas_Coord | elm_obj_panes_content_right_min_size_get (void)
| Control the absolute minimum size of panes widget's right side. More...
void | elm_panes_content_left_size_set (Elm_Panes *obj, double size)
| Set the size proportion of panes widget's left side. More...
double | elm_panes_content_left_size_get (const Elm_Panes *obj)
| Set the size proportion of panes widget's left side. More...
void | elm_panes_horizontal_set (Elm_Panes *obj, Eina_Bool horizontal)
| Set how to split and dispose each content. More...
Eina_Bool | elm_panes_horizontal_get (const Elm_Panes *obj)
| Set how to split and dispose each content. More...
void | elm_panes_fixed_set (Elm_Panes *obj, Eina_Bool fixed)
| Set whether the left and right panes can be resized by user interaction. More...
Eina_Bool | elm_panes_fixed_get (const Elm_Panes *obj)
| Set whether the left and right panes can be resized by user interaction. More...
void | elm_panes_content_right_size_set (Elm_Panes *obj, double size)
| Set the size proportion of panes widget's right side. More...
double | elm_panes_content_right_size_get (const Elm_Panes *obj)
| Set the size proportion of panes widget's right side. More...
void | elm_panes_content_left_min_relative_size_set (Elm_Panes *obj, double size)
| Controls the relative minimum size of panes widget's left side. More...
double | elm_panes_content_left_min_relative_size_get (const Elm_Panes *obj)
| Controls the relative minimum size of panes widget's left side. More...
void | elm_panes_content_right_min_relative_size_set (Elm_Panes *obj, double size)
| Set the relative minimum size of panes widget's right side. More...
double | elm_panes_content_right_min_relative_size_get (const Elm_Panes *obj)
| Set the relative minimum size of panes widget's right side. More...
void | elm_panes_content_left_min_size_set (Elm_Panes *obj, Evas_Coord size)
| Set the absolute minimum size of panes widget's left side. More...
Evas_Coord | elm_panes_content_left_min_size_get (const Elm_Panes *obj)
| Set the absolute minimum size of panes widget's left side. More...
void | elm_panes_content_right_min_size_set (Elm_Panes *obj, Evas_Coord size)
| Control the absolute minimum size of panes widget's right side. More...
Evas_Coord | elm_panes_content_right_min_size_get (const Elm_Panes *obj)
| Control the absolute minimum size of panes widget's right side. More...
Evas_Object * | elm_panes_add (Evas_Object *parent)
| Add a new panes widget to the given parent Elementary (container) object. More...

## Detailed Description

The panes widget adds a draggable bar between two contents. When dragged this bar will resize contents' size.

Panes can be split vertically or horizontally, and contents size proportion can be customized (homogeneous by default).

This widget inherits from the Layout one, so that all the functions acting on it also work for panes objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"press"` - The panes has been pressed (button wasn't released yet).
- `"unpress"` - The panes was released after being pressed.
- `"clicked"` - The panes has been clicked>
- `"clicked,double"` - The panes has been double clicked

Available styles for it:

- `"default"`

Default content parts of the panes widget that you can use are:

- "left" - A leftside content of the panes
- "right" - A rightside content of the panes
- "top" - A top content of the vertical panes
- "bottom" - A bottom content of the vertical panes

If panes are displayed vertically, left content will be displayed on top.

Supported elm_object common APIs.

- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Here is an example on its usage:

- Panes widget example

## Function Documentation

## ◆ elm_obj_panes_content_left_min_relative_size_get()

EOAPI double elm_obj_panes_content_left_min_relative_size_get | ( | void |  | ) |

Controls the relative minimum size of panes widget's left side.

proportion of minimum size of left side.

Note
  If displayed vertically, left content is displayed at top.

Returns
  value between 0.0 and 1.0 representing size proportion of minimum size of left side.

Referenced by elm_panes_content_left_min_relative_size_get().

## ◆ elm_obj_panes_content_left_min_relative_size_set()

EOAPI void elm_obj_panes_content_left_min_relative_size_set | ( | double | size | ) |

Controls the relative minimum size of panes widget's left side.

proportion of minimum size of left side.

Note
  If displayed vertically, left content is displayed at top.

Parameters

  [in] | size | value between 0.0 and 1.0 representing size proportion of minimum size of left side.

Referenced by elm_panes_content_left_min_relative_size_set().

## ◆ elm_obj_panes_content_left_min_size_get()

EOAPI Evas_Coord elm_obj_panes_content_left_min_size_get | ( | void |  | ) |

Set the absolute minimum size of panes widget's left side.

Note
  If displayed vertically, left content is displayed at top.

Returns
  value representing minimum size of left side in pixels.

Referenced by elm_panes_content_left_min_size_get().

## ◆ elm_obj_panes_content_left_min_size_set()

EOAPI void elm_obj_panes_content_left_min_size_set | ( | Evas_Coord | size | ) |

Set the absolute minimum size of panes widget's left side.

Note
  If displayed vertically, left content is displayed at top.

Parameters

  [in] | size | value representing minimum size of left side in pixels.

Referenced by elm_panes_content_left_min_size_set().

## ◆ elm_obj_panes_content_left_size_get()

EOAPI double elm_obj_panes_content_left_size_get | ( | void |  | ) |

Set the size proportion of panes widget's left side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the left content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, right content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Returns
  Value between 0.0 and 1.0 representing size proportion of left side.

Referenced by elm_panes_content_left_size_get().

## ◆ elm_obj_panes_content_left_size_set()

EOAPI void elm_obj_panes_content_left_size_set | ( | double | size | ) |

Set the size proportion of panes widget's left side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the left content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, right content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Parameters

  [in] | size | Value between 0.0 and 1.0 representing size proportion of left side.

Referenced by elm_panes_content_left_size_set().

## ◆ elm_obj_panes_content_right_min_relative_size_get()

EOAPI double elm_obj_panes_content_right_min_relative_size_get | ( | void |  | ) |

Set the relative minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Returns
  value between 0.0 and 1.0 representing size proportion of minimum size of right side.

Referenced by elm_panes_content_right_min_relative_size_get().

## ◆ elm_obj_panes_content_right_min_relative_size_set()

EOAPI void elm_obj_panes_content_right_min_relative_size_set | ( | double | size | ) |

Set the relative minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Parameters

  [in] | size | value between 0.0 and 1.0 representing size proportion of minimum size of right side.

Referenced by elm_panes_content_right_min_relative_size_set().

## ◆ elm_obj_panes_content_right_min_size_get()

EOAPI Evas_Coord elm_obj_panes_content_right_min_size_get | ( | void |  | ) |

Control the absolute minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Returns
  value representing minimum size of right side in pixels.

Referenced by elm_panes_content_right_min_size_get().

## ◆ elm_obj_panes_content_right_min_size_set()

EOAPI void elm_obj_panes_content_right_min_size_set | ( | Evas_Coord | size | ) |

Control the absolute minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Parameters

  [in] | size | value representing minimum size of right side in pixels.

Referenced by elm_panes_content_right_min_size_set().

## ◆ elm_obj_panes_content_right_size_get()

EOAPI double elm_obj_panes_content_right_size_get | ( | void |  | ) |

Set the size proportion of panes widget's right side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the right content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, left content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Returns
  Value between 0.0 and 1.0 representing size proportion of right side.

Referenced by elm_panes_content_right_size_get().

## ◆ elm_obj_panes_content_right_size_set()

EOAPI void elm_obj_panes_content_right_size_set | ( | double | size | ) |

Set the size proportion of panes widget's right side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the right content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, left content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Parameters

  [in] | size | Value between 0.0 and 1.0 representing size proportion of right side.

Referenced by elm_panes_content_right_size_set().

## ◆ elm_obj_panes_fixed_get()

EOAPI Eina_Bool elm_obj_panes_fixed_get | ( | void |  | ) |

Set whether the left and right panes can be resized by user interaction.

By default panes' contents are resizable by user interaction.

Returns
  Use `true` to fix the left and right panes sizes and make them not to be resized by user interaction. Use `false` to make them resizable.

Referenced by elm_panes_fixed_get().

## ◆ elm_obj_panes_fixed_set()

EOAPI void elm_obj_panes_fixed_set | ( | Eina_Bool | fixed | ) |

Set whether the left and right panes can be resized by user interaction.

By default panes' contents are resizable by user interaction.

Parameters

  [in] | fixed | Use `true` to fix the left and right panes sizes and make them not to be resized by user interaction. Use `false` to make them resizable.

Referenced by elm_panes_fixed_set().

## ◆ elm_obj_panes_horizontal_get()

EOAPI Eina_Bool elm_obj_panes_horizontal_get | ( | void |  | ) |

Set how to split and dispose each content.

Use this function to change how your panes is to be disposed: vertically or horizontally. Horizontal panes have "top" and "bottom" contents, vertical panes have "left" and "right" contents.

By default panes is in a vertical mode.

Returns
  Use `true` to make `obj` to split panes horizontally ("top" and "bottom" contents). `false` to make it vertically ("left" and "right" contents).

Referenced by elm_panes_horizontal_get().

## ◆ elm_obj_panes_horizontal_set()

EOAPI void elm_obj_panes_horizontal_set | ( | Eina_Bool | horizontal | ) |

Set how to split and dispose each content.

Use this function to change how your panes is to be disposed: vertically or horizontally. Horizontal panes have "top" and "bottom" contents, vertical panes have "left" and "right" contents.

By default panes is in a vertical mode.

Parameters

  [in] | horizontal | Use `true` to make `obj` to split panes horizontally ("top" and "bottom" contents). `false` to make it vertically ("left" and "right" contents).

Referenced by elm_panes_horizontal_set().

## ◆ elm_panes_add()

Evas_Object* elm_panes_add | ( | Evas_Object * | parent | ) |

Add a new panes widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new panes widget handle or `NULL`, on errors.

This function inserts a new panes widget on the canvas.

References elm_layout_content_get(), elm_layout_content_set(), elm_layout_content_unset(), elm_layout_signal_emit(), elm_panes_content_left_size_get(), and elm_panes_content_left_size_set().

## ◆ elm_panes_content_left_min_relative_size_get()

double elm_panes_content_left_min_relative_size_get | ( | const Elm_Panes * | obj | ) |

Controls the relative minimum size of panes widget's left side.

proportion of minimum size of left side.

Note
  If displayed vertically, left content is displayed at top.

Returns
  value between 0.0 and 1.0 representing size proportion of minimum size of left side.

References elm_obj_panes_content_left_min_relative_size_get().

## ◆ elm_panes_content_left_min_relative_size_set()

void elm_panes_content_left_min_relative_size_set | ( | Elm_Panes * | obj,
|  | double | size
| ) |  |

Controls the relative minimum size of panes widget's left side.

proportion of minimum size of left side.

Note
  If displayed vertically, left content is displayed at top.

Parameters

  [in] | size | value between 0.0 and 1.0 representing size proportion of minimum size of left side.

References elm_obj_panes_content_left_min_relative_size_set().

## ◆ elm_panes_content_left_min_size_get()

Evas_Coord elm_panes_content_left_min_size_get | ( | const Elm_Panes * | obj | ) |

Set the absolute minimum size of panes widget's left side.

Note
  If displayed vertically, left content is displayed at top.

Returns
  value representing minimum size of left side in pixels.

References elm_obj_panes_content_left_min_size_get().

## ◆ elm_panes_content_left_min_size_set()

void elm_panes_content_left_min_size_set | ( | Elm_Panes * | obj,
|  | Evas_Coord | size
| ) |  |

Set the absolute minimum size of panes widget's left side.

Note
  If displayed vertically, left content is displayed at top.

Parameters

  [in] | size | value representing minimum size of left side in pixels.

References elm_obj_panes_content_left_min_size_set().

## ◆ elm_panes_content_left_size_get()

double elm_panes_content_left_size_get | ( | const Elm_Panes * | obj | ) |

Set the size proportion of panes widget's left side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the left content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, right content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Returns
  Value between 0.0 and 1.0 representing size proportion of left side.

References elm_obj_panes_content_left_size_get().

Referenced by elm_panes_add().

## ◆ elm_panes_content_left_size_set()

void elm_panes_content_left_size_set | ( | Elm_Panes * | obj,
|  | double | size
| ) |  |

Set the size proportion of panes widget's left side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the left content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, right content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Parameters

  [in] | size | Value between 0.0 and 1.0 representing size proportion of left side.

References elm_obj_panes_content_left_size_set().

Referenced by elm_panes_add().

## ◆ elm_panes_content_right_min_relative_size_get()

double elm_panes_content_right_min_relative_size_get | ( | const Elm_Panes * | obj | ) |

Set the relative minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Returns
  value between 0.0 and 1.0 representing size proportion of minimum size of right side.

References elm_obj_panes_content_right_min_relative_size_get().

## ◆ elm_panes_content_right_min_relative_size_set()

void elm_panes_content_right_min_relative_size_set | ( | Elm_Panes * | obj,
|  | double | size
| ) |  |

Set the relative minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Parameters

  [in] | size | value between 0.0 and 1.0 representing size proportion of minimum size of right side.

References elm_obj_panes_content_right_min_relative_size_set().

## ◆ elm_panes_content_right_min_size_get()

Evas_Coord elm_panes_content_right_min_size_get | ( | const Elm_Panes * | obj | ) |

Control the absolute minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Returns
  value representing minimum size of right side in pixels.

References elm_obj_panes_content_right_min_size_get().

## ◆ elm_panes_content_right_min_size_set()

void elm_panes_content_right_min_size_set | ( | Elm_Panes * | obj,
|  | Evas_Coord | size
| ) |  |

Control the absolute minimum size of panes widget's right side.

Note
  If displayed vertically, right content is displayed at bottom.

Parameters

  [in] | size | value representing minimum size of right side in pixels.

References elm_obj_panes_content_right_min_size_set().

## ◆ elm_panes_content_right_size_get()

double elm_panes_content_right_size_get | ( | const Elm_Panes * | obj | ) |

Set the size proportion of panes widget's right side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the right content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, left content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Returns
  Value between 0.0 and 1.0 representing size proportion of right side.

References elm_obj_panes_content_right_size_get().

## ◆ elm_panes_content_right_size_set()

void elm_panes_content_right_size_set | ( | Elm_Panes * | obj,
|  | double | size
| ) |  |

Set the size proportion of panes widget's right side.

By default it's homogeneous, i.e., both sides have the same size.

If something different is required, it can be set with this function. For example, if the right content should be displayed over 75% of the panes size, `size` should be passed as 0.75. This way, left content will be resized to 25% of panes size.

If displayed vertically, left content is displayed at top, and right content at bottom.

Note
  This proportion will change when user drags the panes bar.

Parameters

  [in] | size | Value between 0.0 and 1.0 representing size proportion of right side.

References elm_obj_panes_content_right_size_set().

## ◆ elm_panes_fixed_get()

Eina_Bool elm_panes_fixed_get | ( | const Elm_Panes * | obj | ) |

Set whether the left and right panes can be resized by user interaction.

By default panes' contents are resizable by user interaction.

Returns
  Use `true` to fix the left and right panes sizes and make them not to be resized by user interaction. Use `false` to make them resizable.

References elm_obj_panes_fixed_get().

## ◆ elm_panes_fixed_set()

void elm_panes_fixed_set | ( | Elm_Panes * | obj,
|  | Eina_Bool | fixed
| ) |  |

Set whether the left and right panes can be resized by user interaction.

By default panes' contents are resizable by user interaction.

Parameters

  [in] | fixed | Use `true` to fix the left and right panes sizes and make them not to be resized by user interaction. Use `false` to make them resizable.

References elm_obj_panes_fixed_set().

## ◆ elm_panes_horizontal_get()

Eina_Bool elm_panes_horizontal_get | ( | const Elm_Panes * | obj | ) |

Set how to split and dispose each content.

Use this function to change how your panes is to be disposed: vertically or horizontally. Horizontal panes have "top" and "bottom" contents, vertical panes have "left" and "right" contents.

By default panes is in a vertical mode.

Returns
  Use `true` to make `obj` to split panes horizontally ("top" and "bottom" contents). `false` to make it vertically ("left" and "right" contents).

References elm_obj_panes_horizontal_get().

## ◆ elm_panes_horizontal_set()

void elm_panes_horizontal_set | ( | Elm_Panes * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Set how to split and dispose each content.

Use this function to change how your panes is to be disposed: vertically or horizontally. Horizontal panes have "top" and "bottom" contents, vertical panes have "left" and "right" contents.

By default panes is in a vertical mode.

Parameters

  [in] | horizontal | Use `true` to make `obj` to split panes horizontally ("top" and "bottom" contents). `false` to make it vertically ("left" and "right" contents).

References elm_obj_panes_horizontal_set().